import Api from '../axios'

const prefix = '/da/da/dataQuality'

export default {

  // 获取数据库列表--非原始库
  listDatabase (obj) {
    return Api.get(prefix + '/listDatabase', obj)
  },

  // 通过数据库ID获取表数据列表
  listTableByDatabaseId (obj) {
    return Api.get(prefix + '/listTableByDatabaseId', obj)
  },

  // 通过表ID获取字段信息列表
  getQuerySql (obj) {
    return Api.get(prefix + '/getQuerySql', obj)
  },

  // 获取表中数据接口
  listData (obj) {
    return Api.get(prefix + '/listData', obj)
  },

  // 下载模板
  downloadTemplateData (obj) {
    return Api.get(prefix + '/downloadTemplateData', obj)
  },

  // 字段模板上传
  uploadTemplateData (obj) {
    return Api.uploadPhoto(prefix + '/uploadTemplateData', obj)
  },

  // 删除表中数据接口
  deleteData (obj) {
    return Api.post(prefix + '/deleteData', obj)
  },

  // 修改表中数据接口
  updateData (obj) {
    return Api.post(prefix + '/updateData', obj)
  }


}
